Package org.flowable.bpmn.model

# Class HttpServiceTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.TaskWithFieldExtensions
org.flowable.bpmn.model.ServiceTask
org.flowable.bpmn.model.HttpServiceTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class HttpServiceTask extends ServiceTask

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected FlowableHttpRequestHandler`
  `httpRequestHandler`
  `protected FlowableHttpResponseHandler`
  `httpResponseHandler`
  `protected Boolean`
  `parallelInSameTransaction`

  ### Fields inherited from class org.flowable.bpmn.model.ServiceTask

  `CAMEL, CASE_TASK, customProperties, DMN_TASK, extensionId, EXTERNAL_WORKER_TASK, EXTERNAL_WORKER_TASK_LEGACY, HTTP_TASK, implementation, implementationType, MAIL_TASK, operationRef, resultVariableName, SEND_EVENT_TASK, SHELL_TASK, skipExpression, storeResultVariableAsTransient, triggerable, type, useLocalScopeForResultVariable`

  ### Fields inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `fieldExtensions`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpServiceTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HttpServiceTask`
  `clone()`
  `FlowableHttpRequestHandler`
  `getHttpRequestHandler()`
  `FlowableHttpResponseHandler`
  `getHttpResponseHandler()`
  `Boolean`
  `getParallelInSameTransaction()`
  `void`
  `setHttpRequestHandler(FlowableHttpRequestHandler httpRequestHandler)`
  `void`
  `setHttpResponseHandler(FlowableHttpResponseHandler httpResponseHandler)`
  `void`
  `setParallelInSameTransaction(Boolean parallelInSameTransaction)`
  `void`
  `setValues(HttpServiceTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.ServiceTask

  `getCustomProperties, getExtensionId, getImplementation, getImplementationType, getOperationRef, getResultVariableName, getSkipExpression, getType, isExtended, isStoreResultVariableAsTransient, isTriggerable, isUseLocalScopeForResultVariable, setCustomProperties, setExtensionId, setImplementation, setImplementationType, setOperationRef, setResultVariableName, setSkipExpression, setStoreResultVariableAsTransient, setTriggerable, setType, setUseLocalScopeForResultVariable, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `getFieldExtensions, setFieldExtensions`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### httpRequestHandler

    protected FlowableHttpRequestHandler httpRequestHandler

  - ### httpResponseHandler

    protected FlowableHttpResponseHandler httpResponseHandler

  - ### parallelInSameTransaction

    protected Boolean parallelInSameTransaction

- ## Constructor Details

  - ### HttpServiceTask

    public HttpServiceTask()

- ## Method Details

  - ### getHttpRequestHandler

    public FlowableHttpRequestHandler getHttpRequestHandler()

  - ### setHttpRequestHandler

    public void setHttpRequestHandler(FlowableHttpRequestHandler httpRequestHandler)

  - ### getHttpResponseHandler

    public FlowableHttpResponseHandler getHttpResponseHandler()

  - ### setHttpResponseHandler

    public void setHttpResponseHandler(FlowableHttpResponseHandler httpResponseHandler)

  - ### getParallelInSameTransaction

    public Boolean getParallelInSameTransaction()

  - ### setParallelInSameTransaction

    public void setParallelInSameTransaction(Boolean parallelInSameTransaction)

  - ### clone

    public HttpServiceTask clone()
    Overrides:
      `clone` in class `ServiceTask`

  - ### setValues

    public void setValues(HttpServiceTask otherElement)